# frozen_string_literal: true

# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2019_05_30_220614) do
  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "mr_common_pre_registrations", force: :cascade do |t|
    t.string "email", default: "", null: false
    t.string "first_name", default: "", null: false
    t.string "last_name", default: "", null: false
    t.string "normalized_name", default: "", null: false
    t.index ["email"], name: "index_mr_common_pre_registrations_on_email", unique: true
    t.index ["normalized_name"], name: "index_mr_common_pre_registrations_on_normalized_name"
  end

  create_table "mr_common_registrations", force: :cascade do |t|
    t.string "first_name", default: "", null: false
    t.string "last_name", default: "", null: false
    t.string "email", default: "", null: false
    t.string "company_name", default: "", null: false
    t.string "telephone", default: "", null: false
    t.string "job_title", default: "", null: false
    t.boolean "contact_via_email", default: false, null: false
    t.boolean "contact_via_phone", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "confirmed"
  end

  create_table "mr_common_reminders", force: :cascade do |t|
    t.datetime "start_time"
    t.datetime "end_time"
    t.string "location", default: "", null: false
    t.string "summary", default: "", null: false
    t.text "description", default: "", null: false
    t.string "slug", default: "", null: false
    t.boolean "all_day", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "time_zone"
    t.boolean "include_in_confirmation_mailer", default: false, null: false
    t.index ["slug"], name: "index_reminders_on_slug", unique: true
  end

  create_table "users", force: :cascade do |t|
    t.string "email", default: "", null: false
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["reset_password_token"], name: "index_users_on_reset_password_token", unique: true
  end
end
